org.mariadb.jdbc

## Class MySQLXid

- java.lang.Object
- - org.mariadb.jdbc.MySQLXid

All Implemented Interfaces:
  Xid

    public class MySQLXid
    extends Object
    implements Xid

### Field Summary

Fields
`byte[]` `branchQualifier`
`int` `formatId`
`byte[]` `globalTransactionId`

### Fields inherited from interface javax.transaction.xa.Xid

`MAXBQUALSIZE, MAXGTRIDSIZE`

### Constructor Summary

Constructors
Constructor and Description
`MySQLXid(int formatId, byte[] globalTransactionId, byte[] branchQualifier)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`byte[]` `getBranchQualifier()`
`int` `getFormatId()`
`byte[]` `getGlobalTransactionId()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### formatId

    public int formatId

#### globalTransactionId

    public byte[] globalTransactionId

#### branchQualifier

    public byte[] branchQualifier

### Constructor Detail

#### MySQLXid

    public MySQLXid(int formatId,
                    byte[] globalTransactionId,
                    byte[] branchQualifier)

### Method Detail

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### getFormatId

    public int getFormatId()

Specified by:
  `getFormatId` in interface `Xid`

#### getGlobalTransactionId

    public byte[] getGlobalTransactionId()

Specified by:
  `getGlobalTransactionId` in interface `Xid`

#### getBranchQualifier

    public byte[] getBranchQualifier()

Specified by:
  `getBranchQualifier` in interface `Xid`